Summary:     Work out BuildRequires for rpmbuild automatically
Name:        auto-buildrequires
Version:     1.0
Release:     1.8
License:     GPLv2+
Group:       Development/Tools
URL:         http://et.redhat.com/~rjones/auto-buildrequires/
Source0:     http://et.redhat.com/~rjones/auto-buildrequires/files/%{name}-%{version}.tar.gz
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:    rpm-build
Requires:    perl-String-ShellQuote

%description
Auto-BuildRequires is a simple set of scripts for automatically suggesting 
BuildRequires lines for programs.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/auto-br
%{_bindir}/auto-br-rpmbuild
%{_libexecdir}/auto-br-analyze.pl
%{_libexecdir}/%{name}-preload.so


%changelog
